pack_ferror(3)

NAME
pack_ferror - Tells if an error occurred during an operation on the stream. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int pack_ferror(PACKFILE *f);

DESCRIPTION
Since EOF is used to report errors by some functions, it's often better to use the pack_feof() function to check explicitly for end of file and pack_ferror() to check for errors. Both functions check indicators that are part of the internal state of the stream to detect correctly the different situations.

RETURN VALUE
Returns nonzero if the error indicator for the stream is set, meaning that an error has occurred during a previous operation on the stream.

SEE ALSO
pack_fopen(3), pack_fopen_chunk(3)